Skip to content

Create an item attachment for a quotation response by the buyer based on the quotationId, the supplierId and the productId

post
https://api.mercadoe.com/v1/quotations/{quotationId}/suppliers/{supplierId}/replies/items/{productId}/attachments

The buyer uploads a new item attachment for a quotation response, providing the quotationId, the supplierId and the productId.
It is important to mention that the buyer is responding to the quotation on behalf of the supplier.

Request

Headers

X-ME-CORRELATION-ID
string
Internal client code to be identified in the webhook. It can be, for example, a product code in your ERP, an order number, etc.

Path Parameters

quotationId
int32
required
the quotation id
supplierId
int32
required
the supplier id
productId
int32
required
Product identifier of the quotation item. Use the productId returned by GET /v1/quotations/{quotationId}/items (buyer) or GET /v1/quotations/supplier-quotations/{quotationId}/items (supplier).

Body

multipart/form-data
DocumentType
string
Type of the document being attached. Possible values:
- Commercial
- Technical
File
binary
File to be attached

Responses

202
400
404
Accepted

Body

application/json
correlationId
string
Correlation Id of the asynchronous processing
Credentials
shell